Attribute VB_Name = "SUBS"
Option Explicit
Public UnloadMode As Boolean

Public Color_KeyWord  As Long '= &HFF0000
Public Color_Comment As Long  ' = &H8000&
Public Color_Identifier As Long  '= vbBlack

Public Color_Sub As Long ' = &H80FF&
Public Color_Dec_Sub As Long '= &H80FF&

Public Color_Funct As Long '= &H80FF&
Public Color_Dec_Funct As Long '= &H80FF&

Public Color_Property As Long '= &H80FF&
Public Font_Name As String  '="Courier New"
Public Font_Size As Integer '=10

Public MRU1 As String
Public MRU2 As String
Public MRU3 As String
Public MRU4 As String

Enum ProjectObjectType
    O_FORM = 2
    O_MODULE = 3
    O_CLASS = 4
    O_USERCONTROL = 5
    O_PROPERTYPAGE = 6
    O_DESIGNER = 7
    O_UserDocument = 8
    O_RelatedDoc = 9
End Enum

Enum ModuleColors
    C_KeyWords = 1
    C_Identifier = 2
    C_Comments = 3
    
    C_Sub = 4
    C_Declre_Sub = 5
    
    C_Function = 6
    C_Declare_Function = 7
    
    C_Property = 8
End Enum

Public Sub LoadProjectGroup(File As String, Title As String)
Dim PrjTitle As String
Dim PrjName As String
Dim PATH As String

Dim BUFFER As String
Dim i As Integer
Dim C As String

PATH = GetCurDir(File, Title)

FrmMain.RT.FileName = File
BUFFER = FrmMain.RT.Text
i = InStr(1, BUFFER, vbCrLf)
C = Mid(BUFFER, 1, i - 1)
If C = "VBGROUP 5.0" Then
AGAIN:
    BUFFER = Mid(BUFFER, i + 2, Len(BUFFER))
    i = InStr(1, BUFFER, vbCrLf)
    If i = 0 Then GoTo ND
    C = Mid(BUFFER, 1, i - 1)
    
    If Left(C, 7) = "Project" Then
        PrjName = Mid(C, 9, Len(C))
        PrjName = GetRelativePath(PrjName, PATH, PrjTitle, False)
        
        Call LoadProject(PrjName, PrjTitle, True)
    ElseIf Left(C, 14) = "StartupProject" Then
        PrjName = Mid(C, 16, Len(C))
        PrjName = GetRelativePath(PrjName, PATH, PrjTitle, False)
        
       Call LoadProject(PrjName, PrjTitle, True)
    End If
    GoTo AGAIN
Else
    MsgBox "Not a Valid VB 6.0 Project Group File", vbOKOnly + vbCritical
End If
Exit Sub
ND:
End Sub

Public Sub LoadProject(File As String, Title As String, Grup As Boolean)
Dim C As String, i As Long
Dim ObjName As String, CurDir As String
Dim objpath As String
Dim FF As Long
'FrmMain.Progress.Value = 20
CurDir = GetCurDir(File, Title)
If Grup = False Then
    FrmMain.TV.Nodes.Add , , Title, Title, 1
    FrmMain.TV.Nodes(Title).Tag = "DONTLOAD"
    FrmMain.TV.Nodes(Title).Expanded = True
Else
    FrmMain.TV.Nodes.Add "root", tvwChild, Title, Title, 1
    FrmMain.TV.Nodes(Title).Tag = "DONTLOAD"
    FrmMain.TV.Nodes(Title).Expanded = True
End If
FF = FreeFile()
Open File For Binary Access Read As #FF
Do While EOF(FF) = False
    Line Input #FF, C
    If Left(C, 8) = "MajorVer" Then GoTo ND1
   
    If Left(C, 4) = "Form" Then
    
        ObjName = Mid(C, 6, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, False)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 2
        FrmMain.TV.Nodes(ObjName).Tag = objpath
        
        Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 6) = "Module" Then
    
        ObjName = Mid(C, 8, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, True)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 3
        FrmMain.TV.Nodes(ObjName).Tag = objpath
        
        Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 5) = "Class" Then
    
        ObjName = Mid(C, 7, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, True)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 4
        FrmMain.TV.Nodes(ObjName).Tag = objpath
        
        Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 11) = "UserControl" Then
    
        ObjName = Mid(C, 13, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, False)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 5
        FrmMain.TV.Nodes(ObjName).Tag = objpath
        
        Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 12) = "PropertyPage" Then
    
        ObjName = Mid(C, 14, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, False)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 6
        FrmMain.TV.Nodes(ObjName).Tag = objpath
        
        Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 8) = "Designer" Then
    
        ObjName = Mid(C, 10, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, False)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 7
        FrmMain.TV.Nodes(ObjName).Tag = objpath
       
       Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 12) = "UserDocument" Then
    
        ObjName = Mid(C, 14, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, False)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 8
        FrmMain.TV.Nodes(ObjName).Tag = objpath
       
       Call FrmMain.SetProgress(50, 600)
    ElseIf Left(C, 10) = "RelatedDoc" Then
    
        ObjName = Mid(C, 12, Len(C))
        objpath = GetRelativePath(ObjName, CurDir, ObjName, False)
        FrmMain.TV.Nodes.Add Title, tvwChild, ObjName, ObjName, 9
        FrmMain.TV.Nodes(ObjName).Tag = "README#" & objpath
       
       Call FrmMain.SetProgress(50, 600)
    End If
Loop
FrmMain.Progress.Value = 600
ND1:

Close (FF)

If GetNameCheckValid_OfALL(Title) = False Then
            Call CloseProject
            Exit Sub
End If
FrmMain.Progress.Value = 900
'Call SortProject

End Sub
Public Sub LoadFile(File As String, Title As String)
Dim C As String, i As Long

'FrmMain.Progress.Value = 20
C = LCase(Right(Title, 3))

FrmMain.TV.Nodes.Add , , "root", "DefaultProject", 1
FrmMain.TV.Nodes("root").Tag = "DONTLOAD"
FrmMain.TV.Nodes("root").Expanded = True
Select Case C
    Case "frm"
        i = 2
    Case "bas"
        i = 3
    Case "cls"
        i = 4
    Case "ctl"
        i = 5
    Case "pag"
        i = 6
    Case "dsr"
        i = 7
End Select
FrmMain.TV.Nodes.Add "root", tvwChild, Title, Title, i
FrmMain.TV.Nodes(Title).Tag = File

FrmMain.Progress.Value = 600

If GetNameCheckValid_OfALL("root") = False Then
            Call CloseProject
            Exit Sub
End If
FrmMain.Progress.Value = 900
End Sub
Private Function GetNameCheckValid_OfALL(NodeID As String) As Boolean
Dim i As Integer, PRG As Integer
Dim id As Integer, NEX As String
Dim SName As String
Dim NOD As Node

PRG = Int(400 / (FrmMain.TV.Nodes.Count - 1))

id = FrmMain.TV.Nodes(NodeID).Children
Set NOD = FrmMain.TV.Nodes(NodeID).Child
NEX = NOD.Key
For i = 1 To id
If Left(NOD.Tag, 7) = "README#" Then
    GoTo LST
End If
If IsFileExist(NOD.Tag) = True Then
    FrmMain.RT.FileName = NOD.Tag
    Call FrmMain.SetProgress(CLng(PRG), 900)
    SName = CheckValidAndGetName_Of_One(NOD.Image)
    If SName = "<___###-ERROR-###___>" Then
        If MsgBox("Error in Loading " & NOD.Text & vbCrLf & NOD.Tag, vbYesNo + vbCritical) = vbNo Then
            GetNameCheckValid_OfALL = False
            Exit Function
        Else
            SName = "UnKnown"
        End If
    Else
        's
    End If
    NOD.Text = SName & " (" & NOD.Text & ")"
Else
    If MsgBox("Error in Loading " & NOD.Text & _
            vbCrLf & "Project has Refrence to a File that doesn't Exist" & _
            vbCrLf & NOD.Tag _
            & vbCrLf & vbCrLf & "Continue Loading Project" _
            , vbYesNo + vbCritical) = vbNo Then
        GetNameCheckValid_OfALL = False
        Exit Function
    Else
        FrmMain.TV.Nodes.Remove (i)
    End If
End If
LST:
If i <> FrmMain.TV.Nodes(NodeID).Children Then
Set NOD = FrmMain.TV.Nodes(NEX).Next
NEX = NOD.Key
End If
Next
GetNameCheckValid_OfALL = True
End Function
Private Function CheckValidAndGetName_Of_One(OType As ProjectObjectType) As String
Dim CheckValid As Boolean
Dim i As Long, J As Long
Dim S1 As String, S2 As String

CheckValid = False
Select Case OType
    Case O_FORM
        FrmMain.RT.SelStart = 0
        FrmMain.RT.SelLength = 12
        S1 = FrmMain.RT.SelText
        
        FrmMain.RT.SelLength = 0
        i = FrmMain.RT.Find("Begin VB.Form", , , rtfWholeWord Or rtfNoHighlight)
        J = FrmMain.RT.Find("Begin VB.MDIForm", , , rtfWholeWord Or rtfNoHighlight)
              
        If S1 = "VERSION 5.00" And (i <> -1 Or J <> -1) Then
            CheckValid = True
        End If
        If CheckValid = True Then
            CheckValidAndGetName_Of_One = GetName()
        Else
            CheckValidAndGetName_Of_One = "<___###-ERROR-###___>"
        End If
        
    Case O_MODULE
        FrmMain.RT.SelStart = 0
        FrmMain.RT.SelLength = 19
        S1 = FrmMain.RT.SelText
              
        If S1 = "Attribute VB_Name =" Then
            CheckValid = True
        End If
        If CheckValid = True Then
            CheckValidAndGetName_Of_One = GetName()
        Else
            CheckValidAndGetName_Of_One = "<___###-ERROR-###___>"
        End If
        
    Case O_CLASS
        FrmMain.RT.SelStart = 0
        FrmMain.RT.SelLength = 17
        S1 = FrmMain.RT.SelText
              
        If S1 = "VERSION 1.0 CLASS" Then
            CheckValid = True
        End If
        If CheckValid = True Then
            CheckValidAndGetName_Of_One = GetName()
        Else
            CheckValidAndGetName_Of_One = "<___###-ERROR-###___>"
        End If
        
    Case O_USERCONTROL
        FrmMain.RT.SelStart = 0
        FrmMain.RT.SelLength = 12
        S1 = FrmMain.RT.SelText
        
        FrmMain.RT.SelStart = 14
        FrmMain.RT.SelLength = 20
        S2 = FrmMain.RT.SelText
        
        If S1 = "VERSION 5.00" And S2 = "Begin VB.UserControl" Then
            CheckValid = True
        End If
        If CheckValid = True Then
            CheckValidAndGetName_Of_One = GetName()
        Else
            CheckValidAndGetName_Of_One = "<___###-ERROR-###___>"
        End If
        
    Case O_PROPERTYPAGE
        FrmMain.RT.SelStart = 0
        FrmMain.RT.SelLength = 12
        S1 = FrmMain.RT.SelText
        
        FrmMain.RT.SelStart = 14
        FrmMain.RT.SelLength = 21
        S2 = FrmMain.RT.SelText
        
        If S1 = "VERSION 5.00" And S2 = "Begin VB.PropertyPage" Then
            CheckValid = True
        End If
        If CheckValid = True Then
            CheckValidAndGetName_Of_One = GetName()
        Else
            CheckValidAndGetName_Of_One = "<___###-ERROR-###___>"
        End If
        
    Case O_DESIGNER
        FrmMain.RT.SelStart = 0
        FrmMain.RT.SelLength = 12
        S1 = FrmMain.RT.SelText
        
        FrmMain.RT.SelStart = 14
        FrmMain.RT.SelLength = 5
        S2 = FrmMain.RT.SelText
        
        If S1 = "VERSION 5.00" And S2 = "Begin" Then
            CheckValid = True
        End If
        If CheckValid = True Then
            CheckValidAndGetName_Of_One = GetName()
        Else
            CheckValidAndGetName_Of_One = "<___###-ERROR-###___>"
        End If
        
End Select
End Function

Private Function GetName() As String
Dim i As Long, E As Long
Dim s As String

i = FrmMain.RT.Find("Attribute VB_Name =", 0, , rtfWholeWord Or rtfNoHighlight)
If i <> -1 Then
    i = i + 21
    FrmMain.RT.SelStart = i
    FrmMain.RT.UpTo vbCrLf, True
    E = FrmMain.RT.SelStart
    
    FrmMain.RT.SelStart = i
    FrmMain.RT.SelLength = E - i
    
    s = FrmMain.RT.SelText
    s = Mid(s, 1, Len(s) - 1)
    
    GetName = s
Else
    GetName = "Unknown"
End If
End Function

Public Sub SortProject()
Dim TS As String, TT As String, TIN As Integer
Dim i As Integer, J As Integer, Min As Integer
Dim PRG As Integer

If (FrmMain.TV.Nodes.Count - 1) <> 0 Then
    PRG = Int(100 / (FrmMain.TV.Nodes.Count - 1))
Else
    PRG = 100
End If

For i = 2 To FrmMain.TV.Nodes.Count
    Min = i
    Call FrmMain.SetProgress(CLng(PRG), 1000)
    For J = i + 1 To FrmMain.TV.Nodes.Count
        If FrmMain.TV.Nodes(Min).Image > FrmMain.TV.Nodes(J).Image Then
        Min = J
        End If
    Next J
    If i <> Min Then
    'SWAP NODES
    TS = FrmMain.TV.Nodes(i).Text
    TT = FrmMain.TV.Nodes(i).Tag
    TIN = FrmMain.TV.Nodes(i).Image
    
    
    FrmMain.TV.Nodes(i).Text = FrmMain.TV.Nodes(Min).Text
    FrmMain.TV.Nodes(i).Tag = FrmMain.TV.Nodes(Min).Tag
    FrmMain.TV.Nodes(i).Image = FrmMain.TV.Nodes(Min).Image
    
    FrmMain.TV.Nodes(Min).Text = TS
    FrmMain.TV.Nodes(Min).Tag = TT
    FrmMain.TV.Nodes(Min).Image = TIN
    
    End If
Next i
End Sub
Private Function GetCurDir(File As String, Title As String) As String
Dim IPos As Integer
 
IPos = InStr(File, Title)
GetCurDir = Left(File, IPos - 2)

End Function

Private Function GetRelativePath(ByVal DATA As String, ByVal PATH As String, ByRef ObjName As String, IsModule As Boolean) As String
Dim i As Integer, LastPos As Integer
Dim S1 As String, S2 As String
Dim Dest As String
If IsModule = True Then
    i = InStr(1, DATA, ";")
    DATA = Mid(DATA, i + 2, Len(DATA))
End If

Dest = PATH
If (Mid(DATA, 2, 2) <> ":\") Then
'And Left(DATA, 1) = Left(Dest, 1))
i = InStr(1, DATA, "\")
    Do While i <> 0
        S1 = Mid(DATA, 1, i - 1)
        DATA = Mid(DATA, i + 1, Len(DATA))
        If S1 = ".." Then
            'GO BACK
            For i = 1 To Len(Dest)
                If Mid(Dest, i, 1) = "\" Then
                    LastPos = i
                End If
            Next
            Dest = Left(Dest, LastPos - 1)
        Else
            'ADD TO DEST
            Dest = Dest & "\" & S1
        End If
    i = InStr(1, DATA, "\")
    
    Loop
    GetRelativePath = Dest & "\" & DATA
    ObjName = DATA
Else
    GetRelativePath = DATA
        i = InStr(1, DATA, "\")
        Do While i <> 0
            LastPos = i + 1
            i = InStr(LastPos, DATA, "\")
        Loop
    ObjName = Mid(DATA, LastPos)
    
End If
End Function

Public Sub CloseProject()
    FrmMain.FileToOpenName = ""
    FrmMain.FileToOpenTitle = ""
    
    FrmMain.TV.Nodes.Clear
    FrmMain.LS.Clear
    FrmMain.RT.Text = ""
    FrmMain.RTF.Text = ""
    FrmMain.Caption = "VB ColorCode Printer 6.0"
    FrmMain.Status.Panels(1).Text = "To Open a Project, File>Open Project"
    FrmMain.RTF.Locked = True
End Sub

Public Sub ColorIT(C As ModuleColors)
Dim NEWCOLOR As Long

Select Case C
    Case 1
        NEWCOLOR = Color_KeyWord
    Case 2
        NEWCOLOR = Color_Identifier
    Case 3
        NEWCOLOR = Color_Comment
    Case 4
        NEWCOLOR = Color_Sub
    Case 5
        NEWCOLOR = Color_Dec_Sub
    Case 6
        NEWCOLOR = Color_Funct
    Case 7
        NEWCOLOR = Color_Dec_Funct
    Case 8
        NEWCOLOR = Color_Property
End Select
FrmMain.RT.SelColor = NEWCOLOR
End Sub
Public Sub SetDefColor()
'LOADING COLOR SETTINGS
 Color_KeyWord = &HFF0000
 Color_Comment = &H8000&
 Color_Identifier = vbBlack
 Color_Sub = vbBlack
 Color_Dec_Sub = vbBlack
 Color_Funct = vbBlack
 Color_Dec_Funct = vbBlack
 Color_Property = vbBlack
 
 Font_Name = "Courier New"
 Font_Size = 10
 
 MRU1 = "None"
 MRU2 = "None"
 MRU3 = "None"
 MRU4 = "None"
 
End Sub

Public Function IsFileExist(File As String) As Boolean
Dim Sret As String
Dim FTitle As String

FTitle = SplitFileName(File)

Sret = Dir(File, vbNormal + vbReadOnly + vbHidden + vbArchive + vbSystem)
If LCase(Sret) = LCase(FTitle) Then
    IsFileExist = True
Else
    IsFileExist = False
End If
End Function
Public Function SplitFileName(F As String)
Dim i As Integer, LastPos As Integer

LastPos = 1
For i = 1 To Len(F)
    If Mid(F, i, 1) = "\" Then
        LastPos = i
    End If
Next
SplitFileName = Mid(F, LastPos + 1, Len(F))
End Function

Public Function GOTO_BOL() As Long
Dim PrevPos As Long

PrevPos = FrmMain.RT.SelStart
FrmMain.RT.UpTo vbCrLf, False

GOTO_BOL = FrmMain.RT.SelStart
FrmMain.RT.SelStart = PrevPos
End Function
Public Function GOTO_EOL()
Dim PrevPos As Long

PrevPos = FrmMain.RT.SelStart
FrmMain.RT.UpTo vbCrLf, True

GOTO_EOL = FrmMain.RT.SelStart
FrmMain.RT.SelStart = PrevPos
End Function

Public Sub ADD_MRU(Str As String)
Dim N As Integer, Str1 As String

N = 0
If Str = MRU1 Then N = 1
If Str = MRU2 Then N = 2
If Str = MRU3 Then N = 3
If Str = MRU4 Then N = 4

If N <> 0 Then
    Str1 = FrmMain.FMRU(1).Caption
    FrmMain.FMRU(1).Caption = FrmMain.FMRU(N).Caption
    FrmMain.FMRU(N).Caption = Str1
    
    MRU1 = FrmMain.FMRU(1).Caption
    MRU2 = FrmMain.FMRU(2).Caption
    MRU3 = FrmMain.FMRU(3).Caption
    MRU4 = FrmMain.FMRU(4).Caption
    Exit Sub
End If
MRU4 = MRU3
MRU3 = MRU2
MRU2 = MRU1
MRU1 = Str

FrmMain.FMRU(1).Caption = MRU1
FrmMain.FMRU(2).Caption = MRU2
FrmMain.FMRU(3).Caption = MRU3
FrmMain.FMRU(4).Caption = MRU4
End Sub
Public Sub LOAD_SETTINGS()
Dim X As Variant

Dim w As Single, h As Single, T As Single, L As Single
Dim SepV As Single, SepH As Single
Dim WinState As Integer

X = GetAllSettings("VB ColorCode Printer 6.0", "ColorCode")
If IsEmpty(X) Then 'RUN FIRST TIME
    'ss
Exit Sub
End If
'GET ALL VALUES

'FORM SIZE AND ADJUST
WinState = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "winstate"))
If WinState = 0 Then
w = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "width"))
h = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "height"))
T = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "top"))
L = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "left"))
End If
SepV = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "sepv"))
SepH = CLng(GetSetting("VB ColorCode Printer 6.0", "Window", "seph"))

'FONT
Font_Name = GetSetting("VB ColorCode Printer 6.0", "ColorCode", "font")
Font_Size = GetSetting("VB ColorCode Printer 6.0", "ColorCode", "fontsize")

'COLOR
Color_KeyWord = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_keyword"))
Color_Comment = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_comment"))
Color_Identifier = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_identifier"))
Color_Sub = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_sub"))
Color_Dec_Sub = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_dec_sub"))
Color_Funct = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_fun"))
Color_Dec_Funct = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_dec_fun"))
Color_Property = CLng(GetSetting("VB ColorCode Printer 6.0", "ColorCode", "c_prop"))

'OPTIONS
FrmMain.moShowAS.Checked = CBool(GetSetting("VB ColorCode Printer 6.0", "Options", "showattribute"))
FrmMain.moColors.Checked = CBool(GetSetting("VB ColorCode Printer 6.0", "Options", "colors"))
FrmMain.moAutoOpen.Checked = CBool(GetSetting("VB ColorCode Printer 6.0", "Options", "autoopen"))

'MRUS
MRU1 = GetSetting("VB ColorCode Printer 6.0", "MRUS", "mru1")
MRU2 = GetSetting("VB ColorCode Printer 6.0", "MRUS", "mru2")
MRU3 = GetSetting("VB ColorCode Printer 6.0", "MRUS", "mru3")
MRU4 = GetSetting("VB ColorCode Printer 6.0", "MRUS", "mru4")

FrmMain.WindowState = WinState
FrmMain.Sep1.Top = SepV
FrmMain.Sep2.Left = SepH

If WinState = 0 Then
    FrmMain.Width = CSng(w)
    FrmMain.Height = CSng(h)
    FrmMain.Top = CSng(T)
    FrmMain.Left = CSng(L)
End If
End Sub

Public Sub SAVE_SETTINGS()
'SET ALL VALUES

'FORM SIZE AND ADJUST
SaveSetting "VB ColorCode Printer 6.0", "Window", "winstate", FrmMain.WindowState
SaveSetting "VB ColorCode Printer 6.0", "Window", "width", FrmMain.Width
SaveSetting "VB ColorCode Printer 6.0", "Window", "height", FrmMain.Height
SaveSetting "VB ColorCode Printer 6.0", "Window", "top", FrmMain.Top
SaveSetting "VB ColorCode Printer 6.0", "Window", "left", FrmMain.Left

SaveSetting "VB ColorCode Printer 6.0", "Window", "sepv", FrmMain.Sep1.Top
SaveSetting "VB ColorCode Printer 6.0", "Window", "seph", FrmMain.Sep2.Left

'FONT
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "font", Font_Name
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "fontsize", Font_Size

'COLOR
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_keyword", Color_KeyWord
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_comment", Color_Comment
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_identifier", Color_Identifier
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_sub", Color_Sub
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_dec_sub", Color_Dec_Sub
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_fun", Color_Funct
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_dec_fun", Color_Dec_Funct
SaveSetting "VB ColorCode Printer 6.0", "ColorCode", "c_prop", Color_Property

'OPTIONS
SaveSetting "VB ColorCode Printer 6.0", "Options", "showattribute", CBool(FrmMain.moShowAS.Checked)
SaveSetting "VB ColorCode Printer 6.0", "Options", "colors", CBool(FrmMain.moColors.Checked)
SaveSetting "VB ColorCode Printer 6.0", "Options", "autoopen", CBool(FrmMain.moAutoOpen.Checked)

'Most Recent Used
SaveSetting "VB ColorCode Printer 6.0", "MRUS", "mru1", MRU1
SaveSetting "VB ColorCode Printer 6.0", "MRUS", "mru2", MRU2
SaveSetting "VB ColorCode Printer 6.0", "MRUS", "mru3", MRU3
SaveSetting "VB ColorCode Printer 6.0", "MRUS", "mru4", MRU4

End Sub
